using TsSFCDevice.Client.Biz.DeviceSvc;

namespace TsSFCDevice.Client.Biz.Base.Service
{
    public class TsSFCMainSvc
    {
        /// <summary>
        /// token
        /// </summary>
        SFCAuthorize auth;

        string Url;

        MainService svc;
        public TsSFCMainSvc(string token, string SvcUrl)
        {
            Url = SvcUrl;

            auth = new SFCAuthorize();
            auth.token = "";

            svc = new MainService()
            {
                Url = Url,
                Timeout = 300000,
                SFCAuthorizeValue = new SFCAuthorize
                {
                    token = token,
                }
            };
        }

        public MainService CurrentSvc
        {
            get
            {
                if (svc == null)
                {
                    auth = new SFCAuthorize();
                    auth.token = "";

                    svc = new MainService()
                    {
                        Url = Url,
                        Timeout = 300000,
                        SFCAuthorizeValue = auth
                    };
                }
                return svc;
            }
        }
    }
}
